<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);


if ($ank['id']==0)
{
$ank=get_user($ank['id']);
$set['title']=$ank['nick'].' - анкета '; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();
echo "<span class=\"status\">$ank[group_name]</span><br />\n";

if ($ank['ank_o_sebe']!=NULL)echo "<span class=\"ank_n\">О себе:</span> <span class=\"ank_d\">$ank[ank_o_sebe]</span><br />\n";




if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "<div class='foot'>&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n</div>\n";

include_once 'sys/inc/tfoot.php';
exit;
}

$ank=get_user($ank['id']);
if(!$ank){header("Location: /index.php?".SID);exit;}








$ank['rating']=intval(@mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$ank[id]'"),0));
$set['title']=$ank['nick'].' - анкета '; // заголовок страницы
include_once 'sys/inc/thead.php';
title();


if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!ereg('info\.php',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',ereg_replace('^http://[^/]*/','/', $_SERVER['HTTP_REFERER']));



aut();


if ($ank['ank_name']!=NULL)echo "<span class=\"ank_n\">Имя</span>: $ank[ank_name]<br />\n";
else
echo "<span class=\"ank_n\">Имя</span>: Не заполнено<br />\n";

if ($ank['familiya']!=NULL)echo "<span class=\"ank_n\">Фамилия</span>: $ank[familiya]<br />\n";
else
echo "<span class=\"ank_n\">Фамилия</span>: Не заполнено<br />\n";


if ($ank['pol']==1)
echo "<span class=\"ank_n\">Пол</span>: Мужской<br />\n";
else
echo "<span class=\"ank_n\">Пол</span>: Женский<br />\n";
if ($ank['ank_city']!=NULL)echo "<span class=\"ank_n\">Город</span>: $ank[ank_city]<br />\n";
else
echo "<span class=\"ank_n\">Город</span>: Не заполнено<br />\n";



if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "<span class=\"ank_n\">Дата рождения:</span> <span class=\"ank_d\">$ank[ank_d_r] $ank[mes] $ank[ank_g_r]г.</span><br />\n";
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo "<span class=\"ank_n\">Возраст:</span> <span class=\"ank_d\">$ank[ank_age]</span><br />\n";
}
elseif($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL)
{
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "<span class=\"ank_n\">День рождения:</span> <span class=\"ank_d\">$ank[ank_d_r] $ank[mes]</span><br />\n";
}
else
echo "<span class=\"ank_n\">Дата рождения</span>: Не заполнено<br />\n";
if ($ank['rost']!=NULL)echo "<span class=\"ank_n\">Рост</span>: $ank[rost]<br />\n";
else
echo "<span class=\"ank_n\">Рост</span>: Не заполнено<br />\n";
if ($ank['ves']!=NULL)echo "<span class=\"ank_n\">Вес</span>: $ank[ves]<br />\n";
else
echo "<span class=\"ank_n\">Вес</span>: Не заполнено<br />\n";

if ($ank['ank_o_sebe']!=NULL)echo "<span class=\"ank_n\">О себе</span>: $ank[ank_o_sebe]<br />\n";
else
echo "<span class=\"ank_n\">О себе</span>: Не заполнено<br />\n";

if ($ank['celzn']==0)echo "<span class=\"ank_n\">Цель знакомства</span>: Не заполнено<br />\n";
if ($ank['celzn']==1)echo "<span class=\"ank_n\">Цель знакомства</span>: Дружба,общение<br />\n";
if ($ank['celzn']==2)echo "<span class=\"ank_n\">Цель знакомства</span>: Флирт, СМС-переписка<br />\n";
if ($ank['celzn']==3)echo "<span class=\"ank_n\">Цель знакомства</span>: Любовь, отношения<br />\n";
if ($ank['celzn']==4)echo "<span class=\"ank_n\">Цель знакомства</span>: Брак, создание семьи<br />\n";
if ($ank['celzn']==5)echo "<span class=\"ank_n\">Цель знакомства</span>: Виртуальный секс<br />\n";
if ($ank['celzn']==6)echo "<span class=\"ank_n\">Цель знакомства</span>: Секс в реале<br />\n";
if ($ank['celzn']==7)echo "<span class=\"ank_n\">Цель знакомства</span>: Ищу спонсора<br />\n";
if ($ank['celzn']==8)echo "<span class=\"ank_n\">Цель знакомства</span>: Стану спонсором<br />\n";

if ($ank['orient']==0)echo "<span class=\"ank_n\">Ориентация</span>: Не заполнено<br />\n";
if ($ank['orient']==1)echo "<span class=\"ank_n\">Ориентация</span>: Гетеро<br />\n";
if ($ank['orient']==2)echo "<span class=\"ank_n\">Ориентация</span>: Гей/лесби<br />\n";
if ($ank['orient']==3)echo "<span class=\"ank_n\">Ориентация</span>: Би<br />\n";
if ($ank['teloslo']==0)echo "<span class=\"ank_n\">Телосложение</span>: Не заполнено<br />\n";
if ($ank['teloslo']==1)echo "<span class=\"ank_n\">Телосложение</span>: Обычное<br />\n";
if ($ank['teloslo']==2)echo "<span class=\"ank_n\">Телосложение</span>: худощавое<br />\n";
if ($ank['teloslo']==3)echo "<span class=\"ank_n\">Телосложение</span>: спортивное<br />\n";
if ($ank['teloslo']==4)echo "<span class=\"ank_n\">Телосложение</span>: мускулистое<br />\n";
if ($ank['teloslo']==5)echo "<span class=\"ank_n\">Телосложение</span>: плотное<br />\n";
if ($ank['teloslo']==6)echo "<span class=\"ank_n\">Телосложение</span>: полное<br />\n";
if ($ank['glaza']==0)echo "<span class=\"ank_n\">Глаза</span>: Не заполнено<br />\n";
if ($ank['glaza']==1)echo "<span class=\"ank_n\">Глаза</span>: Серые<br />\n";
if ($ank['glaza']==2)echo "<span class=\"ank_n\">Глаза</span>: Голубые<br />\n";
if ($ank['glaza']==3)echo "<span class=\"ank_n\">Глаза</span>: Карие(черные)<br />\n";
if ($ank['glaza']==4)echo "<span class=\"ank_n\">Глаза</span>: Зеленые<br />\n";
if ($ank['volos']==0)echo "<span class=\"ank_n\">Волосы</span>: Не заполнено<br />\n";
if ($ank['volos']==1)echo "<span class=\"ank_n\">Волосы</span>: Светлые<br />\n";
if ($ank['volos']==2)echo "<span class=\"ank_n\">Волосы</span>: Темные<br />\n";
if ($ank['volos']==3)echo "<span class=\"ank_n\">Волосы</span>: Рыжие<br />\n";
if ($ank['volos']==4)echo "<span class=\"ank_n\">Волосы</span>: Мелированные<br />\n";
if ($ank['volos']==5)echo "<span class=\"ank_n\">Волосы</span>: Ярко окрашенные<br />\n";
if ($ank['volos']==6)echo "<span class=\"ank_n\">Волосы</span>: Седые<br />\n";
if ($ank['volos']==7)echo "<span class=\"ank_n\">Волосы</span>: Голова бритая наголо<br />\n";


if ($ank['smoking']==0)echo "<span class=\"ank_n\">Курение</span>: Не заполнено<br />\n";
if ($ank['smoking']==1)echo "<span class=\"ank_n\">Курение</span>: не курю<br />\n";
if ($ank['smoking']==2)echo "<span class=\"ank_n\">Курение</span>: курю,но редко<br />\n";
if ($ank['smoking']==3)echo "<span class=\"ank_n\">Курение</span>: курю,как паровоз<br />\n";
if ($ank['smoking']==4)echo "<span class=\"ank_n\">Курение</span>: бросаю<br />\n";

if ($ank['alcogol']==0)echo "<span class=\"ank_n\">Алкоголь</span>: Не заполнено<br />\n";
if ($ank['alcogol']==1)echo "<span class=\"ank_n\">Алкоголь</span>: не пью<br />\n";
if ($ank['alcogol']==2)echo "<span class=\"ank_n\">Алкоголь</span>: только по праздникам,и в хорошей компании<br />\n";
if ($ank['alcogol']==3)echo "<span class=\"ank_n\">Алкоголь</span>: люблю выпить<br />\n";


if ($ank['ank_icq']!=NULL && $ank['ank_icq']!=0)
echo "<img src=\"http://web.icq.com/whitepages/online?icq=$ank[ank_icq]&amp;img=27\" alt=\"icq\" height=\"16\" width=\"16\" /> <span class=\"ank_d\">$ank[ank_icq]</span><br />\n";

else
echo "<span class=\"ank_n\">ICQ</span>: Не заполнено <br />\n";

if ($ank['ank_mail']!=NULL && ($ank['set_show_mail']==1 || isset($user) && ($user['level']>$ank['level'] || $user['level']==4))){

if ($ank['set_show_mail']==0)$hide_mail=' (скрыт)';else $hide_mail=NULL;

if (ereg("(@mail\.ru$)|(@bk\.ru$)|(@inbox\.ru$)|(@list\.ru$)|(@yandex\.ru$)|(@rambler\.ru$)", $ank['ank_mail']))
echo "<img src=\"http://status.mail.ru/?$ank[ank_mail]\" width=\"13\" height=\"13\" alt=\"\" /> <a href=\"mailto:$ank[ank_mail]\" title=\"Написать письмо\" class=\"ank_d\">$ank[ank_mail]</a>$hide_mail<br />\n";

else
echo "@mail: Не заполнено<br />\n";
}
if ($ank['ank_n_tel']!=NULL)echo "<span class=\"ank_n\">Телефон:</span> $ank[ank_n_tel]<br />\n";




if (isset($user) && $user['id']==$ank['id'])echo "<a href=\"/anketa.php\">[Редактировать анкету]</a><br />\n";


if ($user['level']>$ank['level']){


if (user_access('user_prof_edit'))
echo "<a href='/adm_panel/user.php?id=$ank[id]'>Редактировать профиль</a><br />\n";



if ($user['id']!=$ank['id']){



if (user_access('user_ban_set') || user_access('user_ban_set_h') || user_access('user_ban_unset'))
echo "<a href='/adm_panel/ban.php?id=$ank[id]'>Нарушения (бан)</a><br />\n";





if (user_access('user_delete'))
{

echo "";
if (count(user_collision($mass,1))>1)
echo " (<a href='/adm_panel/delete_user.php?id=$ank[id]&all'>Все ники</a>)";
echo "\n";

}
}
}

if (user_access('adm_log_read') && $ank['level']!=0 && ($ank['id']==$user['id'] || $ank['level']<$user['level']))
echo "\n";




include_once 'sys/inc/tfoot.php';
?>

